/*
 * DeployPRGMRequ.cpp
 *
 *  Created on: 2008-9-16
 *      Author: stanley
 */
#include "SESOperator.h"
#include "StudentMgr.h"
#include "TabNavigationData.h"
#include "LibSESDataCommon.h"


CDeployPRGMRequ::CDeployPRGMRequ()
{
	pStudentMgr = CStudentMgr::instance();
}
CDeployPRGMRequ::~CDeployPRGMRequ()
{
	pStudentMgr = NULL;
}

bool CDeployPRGMRequ::RecvResp(CIntfData& myData)
{
	return true;
}
bool CDeployPRGMRequ::SendRequ(CIntfData& myData)
{
	string tabNavPolicyXML("");
	myData.ParaXmlDoc.clear();
	LibSESData::CTabNavigationData tabnavData;
	tabnavData.LoadFromFile(LibSESData::CONFIG_FILE_DIR + LibSESData::TAB_NAVIGATION);
	tabnavData.Save2String(tabNavPolicyXML);

	myData.ParaXmlDoc.setString("tabNavPolicyXML",tabNavPolicyXML);


	pStudentMgr->Send(myData);
	myData.GetOperationID(OperationID);
	std::string str;
	myData.GetStudentID(str);
	m_StudentIDList.push_back(str);

	UpdateTeacherPolicyData(str);

	return true;
}
int CDeployPRGMRequ::GetOperationID()
{
	return OperationID;
}
